RDKit: boost::logging::rdLogger Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
boost::logging::rdLogger Class Reference

`#include <RDLog.h>`

## Public Member Functions
| rdLogger (std::ostream *dest, bool owner=false)
void | SetTee (std::ostream &stream)
| Sets a stream to tee the output to.
void | SetTee (const char *filename)
| Sets a filename to tee the output to.
void | SetTee (const std::string &filename)
| Sets a filename to tee the output to.
void | ClearTee ()
| Remove our tee if it's set.
| ~rdLogger ()

## Public Attributes
std::ostream * | dp_dest
bool | df_owner
bool | df_enabled
std::ofstream * | dp_teeHelperStream
RDTee * | tee
RDTeeStream * | teestream

## Detailed Description

Definition at line 30 of file RDLog.h.

## Constructor & Destructor Documentation

## ◆ rdLogger()

boost::logging::rdLogger::rdLogger | ( | std::ostream * | dest,
|  | bool | owner = false )
| inline

Definition at line 40 of file RDLog.h.

References df_enabled, df_owner, dp_dest, dp_teeHelperStream, tee, and teestream.

## ◆ ~rdLogger()

boost::logging::rdLogger::~rdLogger | ( |  | ) |
| inline

Definition at line 83 of file RDLog.h.

References ClearTee(), df_owner, and dp_dest.

## Member Function Documentation

## ◆ ClearTee()

void boost::logging::rdLogger::ClearTee | ( |  | ) |
| inline

Remove our tee if it's set.

Definition at line 70 of file RDLog.h.

References dp_dest, dp_teeHelperStream, tee, and teestream.

Referenced by SetTee(), and ~rdLogger().

## ◆ SetTee() [1/3]

void boost::logging::rdLogger::SetTee | ( | const char * | filename | ) |
| inline

Sets a filename to tee the output to.

Definition at line 58 of file RDLog.h.

References dp_dest, dp_teeHelperStream, and SetTee().

## ◆ SetTee() [2/3]

void boost::logging::rdLogger::SetTee | ( | const std::string & | filename | ) |
| inline

Sets a filename to tee the output to.

Definition at line 67 of file RDLog.h.

References SetTee().

Referenced by SetTee().

## ◆ SetTee() [3/3]

void boost::logging::rdLogger::SetTee | ( | std::ostream & | stream | ) |
| inline

Sets a stream to tee the output to.

Definition at line 49 of file RDLog.h.

References ClearTee(), dp_dest, tee, and teestream.

Referenced by SetTee().

## Member Data Documentation

## ◆ df_enabled

bool boost::logging::rdLogger::df_enabled

Definition at line 34 of file RDLog.h.

Referenced by rdLogger().

## ◆ df_owner

bool boost::logging::rdLogger::df_owner

Definition at line 33 of file RDLog.h.

Referenced by rdLogger(), and ~rdLogger().

## ◆ dp_dest

std::ostream* boost::logging::rdLogger::dp_dest

Definition at line 32 of file RDLog.h.

Referenced by ClearTee(), rdLogger(), SetTee(), SetTee(), and ~rdLogger().

## ◆ dp_teeHelperStream

std::ofstream* boost::logging::rdLogger::dp_teeHelperStream

Definition at line 36 of file RDLog.h.

Referenced by ClearTee(), rdLogger(), and SetTee().

## ◆ tee

RDTee* boost::logging::rdLogger::tee

Definition at line 37 of file RDLog.h.

Referenced by ClearTee(), rdLogger(), and SetTee().

## ◆ teestream

RDTeeStream* boost::logging::rdLogger::teestream

Definition at line 38 of file RDLog.h.

Referenced by ClearTee(), rdLogger(), and SetTee().

The documentation for this class was generated from the following file:

- RDLog.h